#ifndef BUDDYEDIT_H
#define BUDDYEDIT_H

#include "BuddyEditBase.h"
#include "BuddyChange.h"

typedef struct {
  char name[256], btID[256], phoneNum[256];
} buddyItem;

class BuddyEdit : public BuddyEditBase {
  Q_OBJECT

public:
  BuddyEdit (const char * buddyFile = "buddy.txt" , QWidget * parent = 0, const char * name = 0, WFlags fl = 0);
  ~BuddyEdit();

signals:
  void buddyListChanged();

private:
  char fileName[256];
  buddyItem * list[1000];
  int listSize;
  BuddyChange * buddyChange;
  void changeItem(int index);

private slots:
  void finish();
  void selectionChanged(int newIndex);
  void removeItem();
  void add();
  void change();
  void closeProg();
  void valueChanged(int index, const char * name, const char * btID, const char * phoneNum);

};

#endif
// BUDDYEDIT_H
