/*
 * File: MyWidget.h
 * Description: This file declare MyWidget class, it inherit from ZMainWidget class
 *              It's member include ZSMS, ZScrollView, ZPushButton, ZMultiLineEdit, QLabel, QPopupMenu
 *
 *                            Motorola General Business Information
 *                     Copyright (c) 2004 Motorola Ltd. All Rights Reserved
 *
 * This file is part of a sample program for Motorola EzX SDK.  This sample
 * program may be used, distributed and modified without limitation.
 */


#ifndef MY_WIDGET_H
#define MY_WIDGET_H

#ifndef __cplusplus
#error "This is a C++ header file; it requires C++ to compile."
#endif

#include <qwidget.h>
#include <qlabel.h>

#include "ZMainWidget.h"
#include "ZScrollView.h"
#include "ZPushButton.h"
#include "ZMultiLineEdit.h"
#include "ZSMS.h"


class MyWidget : public ZMainWidget
{
    Q_OBJECT

public:

    MyWidget( QWidget *parent=0, const char *name=0 );

private:

    ZScrollView * pContent;
    QLabel * pLabel;
    ZMultiLineEdit * pAddr;
    ZMultiLineEdit * pBody;

    QWidget * pCST;
    ZPushButton * pLeftBtn;
    ZPushButton * pMidBtn;
    ZPushButton * pRightBtn;
    QPopupMenu * pCSM;
    int idSend, idSendWithResult;

    ZSMS * pSMS;
    bool bJustSend;

private slots:

    void slotSendSMS();
    void slotIncomingMsg( const ZSMS_IncomingMsg & pMsg, const ZSMS_MsgRecordID & pMsgID );
    void slotHandleSendError( ZSMS_SEQU_ID_T sequID, ZSMS_ERROR_CODE_T errCode );
    void slotSelectMenu( int idMenu );
};

#endif
